# Keycloak configuration
keycloak.port=8081
keycloak.host=http://localhost:${keycloak.port}
keycloak.realm=myrealm-dev

quarkus.oidc.auth-server-url=${keycloak.host}/realms/${keycloak.realm}
quarkus.oidc.client-id=quarkus-be
quarkus.oidc.credentials.secret=ajgUiNiqlb8FpZatMnmXLA5hhvq9v8P0
quarkus.oidc.tls.verification=none

# In alternative to annotations on class and methods: @ApplicationScoped, @PermitAll, etc...
# we can configure the policy via application.properties

# @Authenticated -> set all endpoints to be authenticated
#quarkus.http.auth.permission.authenticated.paths=/*
#quarkus.http.auth.permission.public-api.policy=authenticated

# @PermitAll -> permit access to all for these endpoints
#quarkus.http.auth.permission.public-api.paths=/api/books/findAllWithoutAuthentication, /q/swagger-ui/*, /q/openapi
#quarkus.http.auth.permission.public-api.policy=permit

# @RolesAllowed -> permit access for a role
#quarkus.http.auth.policy.manager-role-policy.roles-allowed=manager
#quarkus.http.auth.permission.manager-role-api.paths=/api/books/findAllWithAuthenticationAndRoleManager
#quarkus.http.auth.permission.manager-role-api.policy=manager-role-policy

# basic, jwt, oauth2, oidc, oauth2-implicit
# to add authorization token in swagger
quarkus.smallrye-openapi.security-scheme=oidc
quarkus.smallrye-openapi.security-scheme-name=Keycloak
quarkus.smallrye-openapi.oidc-open-id-connect-url=http://localhost:8081/realms/myrealm-dev/.well-known/openid-configuration

# config rest client
quarkus.rest-client.public.keycloak.url=${keycloak.host}/realms/${keycloak.realm}/protocol/openid-connect

